Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.polynomials
Interface PolynomialsUtils.RecurrenceCoefficientsGenerator

Enclosing class:
  PolynomialsUtils

    private static interface PolynomialsUtils.RecurrenceCoefficientsGenerator

Interface for recurrence coefficients generation.

Method Summary
`BigFraction[]` | `generate(int k)` Generate recurrence coefficients.

Method Detail

### generate

    BigFraction[] generate(int k)

  Generate recurrence coefficients.

  Parameters:
    `k` - highest degree of the polynomials used in the recurrence
  Returns:
    an array of three coefficients such that Pk+1(X) = (a[0] + a[1] X) Pk(X) - a[2] Pk-1(X)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation